#pragma once

#include "CoreMinimal.h"
#include "FloatValueStrategy.h"
#include "PrimitiveFloatValueStrategy.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class DBDSHAREDTYPES_API UPrimitiveFloatValueStrategy : public UFloatValueStrategy
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	float _value;

public:
	UPrimitiveFloatValueStrategy();
};

FORCEINLINE uint32 GetTypeHash(const UPrimitiveFloatValueStrategy) { return 0; }
